import * as $dara from '@darabonba/typescript';
import { ListCheckResultResponseBody } from "./ListCheckResultResponseBody";
export declare class ListCheckResultResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListCheckResultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
